# ObjectObjectFunction (Colt 1.2.0 - API Specification)
Keywords: cern.colt.function.ObjectObjectFunction interface

Colt 1.2.0

## cern.colt.function
Interface ObjectObjectFunction

public interface ObjectObjectFunction

Interface that represents a function object: a function that takes two arguments and returns a single value.

Method Summary
`Object` `apply(Object x, Object y)` Applies a function to two arguments.

Method Detail

### apply

    public Object apply(Object x,
                        Object y)

  Applies a function to two arguments.

  Parameters:
    `x` - the first argument passed to the function.
    `y` - the second argument passed to the function.
  Returns:
    the result of the function.

Colt 1.2.0

Jump to the Colt Homepage